%define product ERP5Banking
%define version 0.14
%define release 9

%define rpm_prefix erp5
%define zope_home     %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product that extend ERP5 with bank-related core features
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
URL:       http://www.erp5.org
Source0:   %{product}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Conflicts: ERP5Banking
Requires:  %{rpm_prefix}-zope

#----------------------------------------------------------------------
%description
ERP5 Banking extend ERP5 core with bank-related core features.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Fri Mar 23 2008 Julien Gormotte <julien@nexedi.com> 0.14-9mdv2008.0
- New build from the SVN repository (SVN rev: 20187)

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 0.14-8mdv2008.0
- New build from the SVN repository (SVN rev: 18630)

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-7mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-6mdv2007.0
- Rebuild for Mandriva 2007.0

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-5mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11925)

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-4mdk
- Fix bad date in changelog

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-3mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11925)

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-2mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11925)

* Mon Jan 08 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-1mdk
- New build from the SVN repository

* Tue Nov 14 2006 Kevin Deldycke <kevin@nexedi.com> 0.1-1mdk
- First public release
